Subject: Still cant compile

From: Bjarne Hoegh Nielsen <[email-masked]>
Date: Mon, 28 Dec 92 06:01:30 -0800

Some time ago, I posted the following question. Unfortunately I didn't get
any replies. As I still haven't been able to solve myself I hereby repost it.
I would also appriciate if anyone should know where I can get the original
postgres-v3r1.tar.Z file, as that version at least did run. /BJARNE

	Finally I got myself to FTP the new version of POSTGRES. Unfortunately
        I've been experiencing some problems with compiling. Probably because
        I know very little of UNIX (I live in a VAX/VMS world, programming
        PASCAL).
        
        The first error is what seems to be an ommited semicolon in ex_flatten,
        line 105.
        
        The second error is a bit harder. In postmaster.mk make failes on
        the file LIB.o. Why? I have tried to remove LIB.o from PMLINKS in
        postmaster.mk (in panic ;-) ). Then the next file compiles fine
        (PORT.o), but it now fail on the third (UTIL.o). Any hints 
        will be appriciated.
        
        BJARNE HOEGH NIELSEN ([email-masked])
        
	===== compilation log ===================================
<several lines deleted>
compiling executor/ex_flatten.c
<several lines deleted>
ccom: Error: ex_flatten.c, line 106: syntax error
      	if (isDone)
      ---^
      
<several lines deleted>
checking symbolic links ....
Make:  Don't know how to make /usr/users/postgres/obj.ultrix4/LIB.o.  Stop.
	
        ===== POSTMASTER.MK ===================================
<several lines deleted>
PMLINKS= $(OD)/LIB.o $(OD)/port/$(PORTNAME)/port.o $(OD)/UTIL.o \
		 $(OD)/STORAGE.o $(OD)/ACCESS.o $(STUBOBJS) $(INH_OBJ)
<several lines deleted>
$(OD)/support/postmasterlinks: 
	@- echo "checking symbolic links ...." ; \
	cd $(OD)/support ; \
	for x in $(PMSRCS) ;do \
	    p=`echo $$x | sed -e 's:[^/]*/::g' ` ; \
	    if  [ -f $$p ] ; then \
		echo > /dev/null ; \
	    else \
		echo linking $$p ; \
		ln -s $(TREE)/$$x ; \
	    fi ; \
	done ; \
	touch postmasterlinks
	========================================